Friday Nov 30, 2007

Using Apache Derby on Java ME platforms

As you may already know, Apache Derby supports the JDBC API defined for the Connected Device Configuration Foundation Profile, also known as JSR169. The features supported are a subset of the JDBC 3.0 specification. Support for JSR169 is limited to the embedded Derby driver.

John Embretsen has put a great page together with hints and resources about Apache Derby's support for Java ME (also known as J2ME) environments. This also applies to Java DB, which is Sun's supported version of Apache Derby.

If you need to know into which JDBC environment you're running as part of your application, you can use this tip to dertermine for instance if you're running within some JSR169 context.

About

forsini

Search

Archives
« July 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
  
       
Today
Bookmarks